Package org.eclipse.cdt.core.settings.model

# Class ACSettingEntry

java.lang.Object
org.eclipse.cdt.core.settings.model.ACSettingEntry

All Implemented Interfaces:
  `ICSettingEntry`

Direct Known Subclasses:
  `ACPathEntry`, `CMacroEntry`

public abstract class ACSettingEntry extends Object implements ICSettingEntry

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`checkFlags(int flags)`
`int`
`codeForContentsKey()`
`final int`
`codeForNameKey()`
`protected abstract String`
`contentsToString()`
`boolean`
`equals(Object obj)`
`boolean`
`equalsByContents(ICSettingEntry entry)`
`final boolean`
`equalsByName(ICSettingEntry entry)`
`protected int`
`getByNameMatchFlags()`
`int`
`getFlags()`
`String`
`getName()`
`String`
`getValue()`
`int`
`hashCode()`
`boolean`
`isBuiltIn()`
`boolean`
`isReadOnly()`
`boolean`
`isResolved()`
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`getKind`

## Method Details

### isBuiltIn

public boolean isBuiltIn()

Specified by:
  `isBuiltIn` in interface `ICSettingEntry`

### isReadOnly

public boolean isReadOnly()

Specified by:
  `isReadOnly` in interface `ICSettingEntry`

### checkFlags

protected boolean checkFlags(int flags)

### getName

public String getName()

Specified by:
  `getName` in interface `ICSettingEntry`

### getValue

public String getValue()

Specified by:
  `getValue` in interface `ICSettingEntry`

### isResolved

public boolean isResolved()

Specified by:
  `isResolved` in interface `ICSettingEntry`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getFlags

public int getFlags()

Specified by:
  `getFlags` in interface `ICSettingEntry`

### equalsByContents

public boolean equalsByContents(ICSettingEntry entry)

Specified by:
  `equalsByContents` in interface `ICSettingEntry`

### getByNameMatchFlags

protected int getByNameMatchFlags()

### equalsByName

public final boolean equalsByName(ICSettingEntry entry)

Specified by:
  `equalsByName` in interface `ICSettingEntry`

### codeForNameKey

public final int codeForNameKey()

### codeForContentsKey

public int codeForContentsKey()

### toString

public final String toString()

Overrides:
  `toString` in class `Object`

### contentsToString

protected abstract String contentsToString()